#
# spec file for package servletapi3
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define	base_name	servletapi
%define full_name	jakarta-%{base_name}
Name:           servletapi3
Version:        3.3.1
Release:        302.25
Summary:        Java servlet and JSP implementation classes
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://jakarta.apache.org/tomcat/
Source0:        http://jakarta.apache.org/builds/jakarta-tomcat/release/v%{version}a/src/%{full_name}-src.tar.gz
Patch0:         %{name}-java14compat.patch
BuildRequires:  ant
BuildRequires:  ant >= 1.6.2
BuildRequires:  java-devel >= 1.7.0
BuildRequires:  javapackages-tools
BuildRequires:  xml-commons-apis
Requires(post): %{_sbindir}/update-alternatives
Provides:       servlet = %{version}
Obsoletes:      servlet22 < %{version}
Obsoletes:      servlet3 < %{version}
Provides:       servlet22 = %{version}
Provides:       servlet3 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%package javadoc
Summary:        Javadoc for servletapi3
Group:          Development/Libraries/Java

%description javadoc
This package contains the javadoc documentation for the implementation
classes of the Java Servlet and JSP APIs (packages javax.servlet).

%prep
%setup -q -n %{full_name}-src
%patch0

%build
ant dist -Dservletapi.build=build -Dservletapi.dist=dist

%install
# jar
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 dist/lib/servlet.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
#javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/%{name}
# alternatives
mkdir -p %{buildroot}%{_sysconfdir}/alternatives/
ln -sf %{_sysconfdir}/alternatives/servlet.jar %{buildroot}%{_javadir}/servlet.jar

%post
update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/%{name}-%{version}.jar 30

%postun
if [ "$1" = "0" ]; then
    update-alternatives --remove servlet %{_javadir}/%{name}-%{version}.jar
fi

%files
%defattr(-,root,root)
%doc LICENSE README
%{_javadir}/*
%{_javadir}/servlet.jar
%ghost %{_sysconfdir}/alternatives/servlet.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}

%changelog
* Tue Sep 29 2015 dmueller@suse.com
- build against java-1_8_0-openjdk or newer if available
* Tue Jul 29 2014 tchvatal@suse.com
- No not mess with the defattr as it is not really needed.
* Mon Jul 21 2014 tchvatal@suse.com
- Cleanup with spec-cleaner.
- Fix update-alternatives.
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Wed Sep 27 2006 skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 3.3.1 from JPackage.org
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep  2 2004 skh@suse.de
- Initial package with version 3.3.1 (JPackage 1.5)
